Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.bytecode
Class MatchOffsetPair

    java.lang.Object
      org.gjt.jclasslib.bytecode.MatchOffsetPair

public class MatchOffsetPair
extends Object

Holds a single match-offset pair.

Version:
  $Revision: 1.2 $ $Date: 2003/08/18 07:58:54 $
Author:
  Ingo Kegel

Constructor Summary
`MatchOffsetPair(int match, int offset)` Constructor.

Method Summary
`int` | `getMatch()` Get the match value of this match-offset pair.
`int` | `getOffset()` Get the offset of the branch for this match-offset pair.
`void` | `setMatch(int match)` Set the match value of this match-offset pair.
`void` | `setOffset(int offset)` Set the offset of the branch for this match-offset pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchOffsetPair

    public MatchOffsetPair(int match,
                           int offset)

  Constructor.

Parameters:
  `match` - the match value.
  `offset` - the branch offset.

Method Detail

### getMatch

    public int getMatch()

  Get the match value of this match-offset pair.

  Returns:
    the value

### setMatch

    public void setMatch(int match)

  Set the match value of this match-offset pair.

  Parameters:
    `match` - the value

### getOffset

    public int getOffset()

  Get the offset of the branch for this match-offset pair.

  Returns:
    the offset

### setOffset

    public void setOffset(int offset)

  Set the offset of the branch for this match-offset pair.

  Parameters:
    `offset` - the offset

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD